## qt-copy-3.0.4.tar.bz2

=== Makefile ===
# -*- makefile -*-
#
# Main Makefile for building the Qt library, examples and tutorial.

SHELL=/bin/sh

init: FORCE
	@$(MAKE) all
uninstall: FORCE
	@$(MAKE) qt.uninstall
install: FORCE
	@$(MAKE) qt.install

all: symlinks src-qmake src-moc sub-src sub-tools sub-tutorial sub-examples
	@echo
	@echo "The Qt library is now built in ./lib"
	@echo "The Qt examples are built in the directories in ./examples"
	@echo "The Qt tutorials are built in the directories in ./tutorial"
	@echo
	@echo 'Note: be sure to set $$QTDIR to point to here or to wherever'
	@echo '      you move these directories.'
	@echo
	@echo "Enjoy!   - the Trolltech team"
	@echo

qt.install: qmake-install moc-install src-install tools-install plugins-install
qt.uninstall: qmake-uninstall moc-uninstall src-uninstall tools-uninstall plugins-uninstall

#moc
moc-uninstall: .qmake.cache
	cd src/moc && $(MAKE) uninstall
moc-install: src-moc
	cd src/moc && $(MAKE) install
src-moc: src-qmake FORCE
	cd src/moc && $(MAKE)

#Qt
src-uninstall: .qmake.cache
	cd src && $(MAKE) uninstall
src-install: sub-src
	cd src && $(MAKE) install
sub-src: src-moc .qmake.cache FORCE
	cd src && $(MAKE)

#Tools
tools-uninstall: .qmake.cache
	cd tools && $(MAKE) uninstall
tools-install: sub-tools
	cd tools && $(MAKE) install
sub-tools: sub-plugins FORCE
	cd tools && $(MAKE)

#qmake
qmake-uninstall: .qmake.cache
	cd qmake && $(MAKE) uninstall
qmake-install: src-qmake
	cd qmake && $(MAKE) install
src-qmake: symlinks FORCE
	cd qmake && $(MAKE)

#plugins
plugins-uninstall: .qmake.cache
	cd plugins/src && $(MAKE) uninstall
plugins-install: sub-plugins
	cd plugins/src && $(MAKE) install
sub-plugins: sub-src .qmake.cache FORCE
	cd plugins/src && $(MAKE)

#tutorials
sub-tutorial: sub-src FORCE
	cd tutorial && $(MAKE)
#examples
sub-examples: sub-tools FORCE
	cd examples && $(MAKE)
#docs
doc: FORCE
	qdoc util/qdoc/qdoc.conf

symlinks: .qmake.cache
#	@cd include && rm -f q*.h; ln -s ../src/*/q*.h .; ln -s ../extensions/*/src/q*.h .; rm -f q*_p.h

distclean clean uiclean mocclean:
	cd tools && $(MAKE) $@
	cd src/moc && $(MAKE) $@
	cd src && $(MAKE) $@
	cd tutorial && $(MAKE) $@
	cd plugins/src && $(MAKE) $@
	cd examples && $(MAKE) $@
	cd qmake && $(MAKE) $@
	cd config.tests/unix && $(MAKE) $@
	cd config.tests/x11 && $(MAKE) $@

.qmake.cache:
	@echo
	@echo '  Qt must first be configured using the "configure" script.'
	@echo
	@test ! /bin/true

FORCE:

=== doc/Makefile ===
#############################################################################
# Qt Makefile - doc
#############################################################################
# $Id:  qt/Makefile   3.0.4   edited Oct 12 2001 $

showfiles showsources:
	@echo *.doc

clean:
	-rm -f *~ *% #*

obj include depend:

=== extensions/Makefile ===
EXTENSIONS=xt nsplugin

EXAMPLES=\
	nsplugin/examples/grapher \
	nsplugin/examples/qtimage \
	nsplugin/examples/trivial \
	\
	xt/examples/mainlyMotif \
	xt/examples/mainlyQt \
	xt/examples/mainlyXt \


extensions:
	for i in $(EXTENSIONS); do \
	    if ( cd $$i/src; $(MAKE) ); then \
		true; \
	    else \
		break; \
	    fi; \
	done

examples:
	for i in $(EXAMPLES); do \
	    if ( cd $$i; $(MAKE) ); then \
		true; \
	    else \
		break; \
	    fi; \
	done

=== extensions/nsplugin/examples/Makefile ===

all:
	for i in grapher qtimage trivial ; \
	do $(MAKE) -C $$i all; done

install:
	for i in grapher qtimage trivial ; \
	do $(MAKE) -C $$i install; done

clean:
	for i in grapher qtimage trivial ; \
	do $(MAKE) -C $$i clean; done

=== src/3rdparty/zlib/Makefile ===
# Makefile for zlib
# Copyright (C) 1995-2002 Jean-loup Gailly.
# For conditions of distribution and use, see copyright notice in zlib.h 

# To compile and test, type:
#   ./configure; make test
# The call of configure is optional if you don't have special requirements
# If you wish to build zlib as a shared library, use: ./configure -s

# To install /usr/local/lib/libz.* and /usr/local/include/zlib.h, type:
#    make install
# To install in $HOME instead of /usr/local, use:
#    make install prefix=$HOME

CC=gcc

CFLAGS=-O3 -DHAVE_UNISTD_H -DUSE_MMAP
#CFLAGS=-O -DMAX_WBITS=14 -DMAX_MEM_LEVEL=7
#CFLAGS=-g -DDEBUG
#CFLAGS=-O3 -Wall -Wwrite-strings -Wpointer-arith -Wconversion \
#           -Wstrict-prototypes -Wmissing-prototypes

LDFLAGS=-L. -lz
LDSHARED=gcc
CPP=gcc -E

VER=1.1.4
LIBS=libz.a
SHAREDLIB=libz.so

AR=ar rc
RANLIB=ranlib
TAR=tar
SHELL=/bin/sh

prefix = /usr/local
exec_prefix = ${prefix}
libdir = ${exec_prefix}/lib
includedir = ${prefix}/include

OBJS = adler32.o compress.o crc32.o gzio.o uncompr.o deflate.o trees.o \
       zutil.o inflate.o infblock.o inftrees.o infcodes.o infutil.o inffast.o

OBJA =
# to use the asm code: make OBJA=match.o

TEST_OBJS = example.o minigzip.o

DISTFILES = README FAQ INDEX ChangeLog configure Make*[a-z0-9] *.[ch] *.mms \
  algorithm.txt zlib.3 zlib.html \
  msdos/Make*[a-z0-9] msdos/zlib.def msdos/zlib.rc \
  nt/Make*[a-z0-9] nt/zlib.dnt amiga/Make*.??? os2/M*.os2 os2/zlib.def \
  contrib/RE*.contrib contrib/*.txt contrib/asm386/*.asm contrib/asm386/*.c \
  contrib/asm386/*.bat contrib/asm386/zlibvc.d?? contrib/asm[56]86/*.?86 \
  contrib/asm[56]86/*.S contrib/iostream/*.cpp \
  contrib/iostream/*.h  contrib/iostream2/*.h contrib/iostream2/*.cpp \
  contrib/untgz/Makefile contrib/untgz/*.c contrib/untgz/*.w32 \
  contrib/minizip/[CM]*[pe] contrib/minizip/*.[ch] contrib/minizip/*.[td]?? \
  contrib/delphi*/*.???

all: example minigzip

test: all
	@LD_LIBRARY_PATH=.:$(LD_LIBRARY_PATH) ; export LD_LIBRARY_PATH; \
	echo hello world | ./minigzip | ./minigzip -d || \
	  echo '		*** minigzip test FAILED ***' ; \
	if ./example; then \
	  echo '		*** zlib test OK ***'; \
	else \
	  echo '		*** zlib test FAILED ***'; \
	fi

libz.a: $(OBJS) $(OBJA)
	$(AR) $@ $(OBJS) $(OBJA)
	-@ ($(RANLIB) $@ || true) >/dev/null 2>&1

match.o: match.S
	$(CPP) match.S > _match.s
	$(CC) -c _match.s
	mv _match.o match.o
	rm -f _match.s

$(SHAREDLIB).$(VER): $(OBJS)
	$(LDSHARED) -o $@ $(OBJS)
	rm -f $(SHAREDLIB) $(SHAREDLIB).1
	ln -s $@ $(SHAREDLIB)
	ln -s $@ $(SHAREDLIB).1

example: example.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ example.o $(LDFLAGS)

minigzip: minigzip.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ minigzip.o $(LDFLAGS)

install: $(LIBS)
	-@if [ ! -d $(includedir)  ]; then mkdir $(includedir); fi
	-@if [ ! -d $(libdir) ]; then mkdir $(libdir); fi
	cp zlib.h zconf.h $(includedir)
	chmod 644 $(includedir)/zlib.h $(includedir)/zconf.h
	cp $(LIBS) $(libdir)
	cd $(libdir); chmod 755 $(LIBS)
	-@(cd $(libdir); $(RANLIB) libz.a || true) >/dev/null 2>&1
	cd $(libdir); if test -f $(SHAREDLIB).$(VER); then \
	  rm -f $(SHAREDLIB) $(SHAREDLIB).1; \
	  ln -s $(SHAREDLIB).$(VER) $(SHAREDLIB); \
	  ln -s $(SHAREDLIB).$(VER) $(SHAREDLIB).1; \
	  (ldconfig || true)  >/dev/null 2>&1; \
	fi
# The ranlib in install is needed on NeXTSTEP which checks file times
# ldconfig is for Linux

uninstall:
	cd $(includedir); \
	v=$(VER); \
	if test -f zlib.h; then \
	  v=`sed -n '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`; \
          rm -f zlib.h zconf.h; \
	fi; \
	cd $(libdir); rm -f libz.a; \
	if test -f $(SHAREDLIB).$$v; then \
	  rm -f $(SHAREDLIB).$$v $(SHAREDLIB) $(SHAREDLIB).1; \
	fi

clean:
	rm -f *.o *~ example minigzip libz.a libz.so* foo.gz so_locations \
	   _match.s maketree

distclean:	clean

zip:
	mv Makefile Makefile~; cp -p Makefile.in Makefile
	rm -f test.c ztest*.c contrib/minizip/test.zip
	v=`sed -n -e 's/\.//g' -e '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`;\
	zip -ul9 zlib$$v $(DISTFILES)
	mv Makefile~ Makefile

dist:
	mv Makefile Makefile~; cp -p Makefile.in Makefile
	rm -f test.c ztest*.c contrib/minizip/test.zip
	d=zlib-`sed -n '/VERSION "/s/.*"\(.*\)".*/\1/p' < zlib.h`;\
	rm -f $$d.tar.gz; \
	if test ! -d ../$$d; then rm -f ../$$d; ln -s `pwd` ../$$d; fi; \
	files=""; \
	for f in $(DISTFILES); do files="$$files $$d/$$f"; done; \
	cd ..; \
	GZIP=-9 $(TAR) chofz $$d/$$d.tar.gz $$files; \
	if test ! -d $$d; then rm -f $$d; fi
	mv Makefile~ Makefile

tags:	
	etags *.[ch]

depend:
	makedepend -- $(CFLAGS) -- *.[ch]

# DO NOT DELETE THIS LINE -- make depend depends on it.

adler32.o: zlib.h zconf.h
compress.o: zlib.h zconf.h
crc32.o: zlib.h zconf.h
deflate.o: deflate.h zutil.h zlib.h zconf.h
example.o: zlib.h zconf.h
gzio.o: zutil.h zlib.h zconf.h
infblock.o: infblock.h inftrees.h infcodes.h infutil.h zutil.h zlib.h zconf.h
infcodes.o: zutil.h zlib.h zconf.h
infcodes.o: inftrees.h infblock.h infcodes.h infutil.h inffast.h
inffast.o: zutil.h zlib.h zconf.h inftrees.h
inffast.o: infblock.h infcodes.h infutil.h inffast.h
inflate.o: zutil.h zlib.h zconf.h infblock.h
inftrees.o: zutil.h zlib.h zconf.h inftrees.h
infutil.o: zutil.h zlib.h zconf.h infblock.h inftrees.h infcodes.h infutil.h
minigzip.o:  zlib.h zconf.h 
trees.o: deflate.h zutil.h zlib.h zconf.h trees.h
uncompr.o: zlib.h zconf.h
zutil.o: zutil.h zlib.h zconf.h

=== tools/designer/integration/QMsDev/Makefile ===
#
#
#
MTLOPTIONS=/nologo /D "NDEBUG" /tlb QMsDev.tlb /h QMsDevTypes.h /mktyplib203 /win32 
STDAFXOPTIONS=/nologo /MD /W3 /GX /O2 /I "_$(QTDIR)\include" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_WINDLL" /D "_AFXDLL" /D "_MBCS" /D "_USRDLL" /Fpqmsdev.pch /Yc"stdafx.h" /Fo.\\ /Fd.\\ /FD /c 
LINKOPTS=/nologo /subsystem:windows /dll /incremental:no /pdb:qmsdev.pdb /machine:I386 /def:QMsDev.def /out:qmsdev.dll /implib:qmsdev.lib 
CPPOPTS=/nologo /MD /W3 /GX /O2 /I "_$(QTDIR)\include" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_WINDLL" /D "_AFXDLL" /D "_MBCS" /D "_USRDLL" /Fpqmsdev.pch /Yu"stdafx.h" /Fo.\\ /Fd.\\ /FD /c 
#
OBJS= Commands.obj DSAddIn.obj NewQtProjectDialog.obj QMsDev.obj StdAfx.obj QMsDev.res
DEF_FILE=QMsDev.def
#
MTL=midl.exe
RSC=rc.exe
LINK=link.exe
CPP=cl.exe
COPY=copy


ALL : qmsdev.dll QMsDev.tlb QMsDevTypes.h

CLEAN :
	-@erase "Commands.obj"
	-@erase "DSAddIn.obj"
	-@erase "NewQtProjectDialog.obj"
	-@erase "QMsDev.obj"
	-@erase "qmsdev.pch"
	-@erase "QMsDev.res"
	-@erase "QMsDev.tlb"
	-@erase "StdAfx.obj"
	-@erase "vc60.idb"
	-@erase "qmsdev.dll"
	-@erase "qmsdev.exp"
	-@erase "qmsdev.lib"
	-@erase "QMsDevTypes.h"

qmsdev.dll: $(DEF_FILE) $(OBJS)
   $(LINK) $(LINKOPTS) $(OBJS)
   $(COPY) qmsdev.dll "$(MSDEVDIR)\Addins"

QMsDev.tlb: QMsDev.odl
	$(MTL) $(MTLOPTIONS) QMsDev.odl

QMsDev.res: QMsDev.rc QMsDev.tlb
	$(RSC) /l 0x407 /foQMsDev.res /d "NDEBUG" /d "_AFXDLL" QMsDev.rc

StdAfx.obj: StdAfx.cpp StdAfx.pch
	$(CPP) $(STDAFXOPTIONS) StdAfx.cpp

StdAfx.pch: StdAfx.cpp
	$(CPP) $(STDAFXOPTIONS) StdAfx.cpp

Commands.obj: Commands.cpp StdAfx.pch QMsDevTypes.h
   $(CPP) $(CPPOPTS) Commands.cpp

DSAddIn.obj: DSAddIn.cpp StdAfx.pch
   $(CPP) $(CPPOPTS) DSAddIn.cpp

NewQtProjectDialog.obj: NewQtProjectDialog.cpp StdAfx.pch
   $(CPP) $(CPPOPTS) NewQtProjectDialog.cpp

QMsDev.obj: QMsDev.cpp StdAfx.pch
   $(CPP) $(CPPOPTS) QMsDev.cpp

QMsDevTypes.h: QMsDev.tlb

=== debian/changelog ===
qt-copy (2:3.0.3-20020329-1) unstable; urgency=low

  * Updated qt-copy to fix a few other bugs

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 29 Mar 2002 09:08:00 -0700

qt-copy (2:3.0.3-20020314-5) unstable; urgency=low

  * Fix potential crash...thanks Daniel

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 23 Mar 2002 02:30:00 -0700

qt-copy (2:3.0.3-20020314-4) unstable; urgency=low

  * Don't build motif style as a plugin.  It's pretty much the default so
    let's have that builtin.
  * Fix plugin pathing...actually this was a bug in the configure script
    where it wasn't setting the proper items in the qconfig.h file
    (Closes: #139449)

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 22 Mar 2002 10:36:00 -0700

qt-copy (2:3.0.3-20020314-3) unstable; urgency=low

  * Since this is still in incoming..change from a build-conflict to a 
    versioned depend

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 16 Mar 2002 11:00:00 -0700

qt-copy (2:3.0.3-20020314-2) unstable; urgency=low
 
  * Build-Conflict with libpng2-dev since it provides libpng-dev and we don't
    want any of those problems.

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 15 Mar 2002 20:00:00 -0700

qt-copy (2:3.0.3-20020314-1) unstable; urgency=low

  * New upstream version.  
  * Includes updated zlib code

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 14 Mar 2002 12:31:00 -0700

qt-copy (2:3.0.2-20020306-1) unstable; urgency=low

  * New upstream version.  Using qt-copy as it provides a bunch of fixes
    for 3.0.2. (Closes: #135865)
  * Fix suggests for libqt3-psql
  * link to new png.  Need this otherwise we are stuck with using the old
    png library for quite some time.
  * Fix cleanup (Closes: #135859)
  * Include -mt versions of plugins.

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 06 Mar 2002 23:37:00 -0700

qt-copy (2:3.0.0.0-4) unstable; urgency=low

  * Fix qmake.cache inclusion (Closes: #118623)

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 07 Nov 2001 11:37:00 -0700

qt-x11-free (2:3.0.0.0-3) unstable; urgency=low

  * wrap uic so QTDIR is set for it...makes plugins happier

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 31 Oct 2001 09:19:00 -0700

qt-x11-free (2:3.0.0.0-2) unstable; urgency=low

  * Enable gl support.  If it get's whacky like qt2 did we'll break it
    off into it's own package.  But until then we'll just do it this way.
  * Fix wrapper (Closes: #116734)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 22 Oct 2001 12:55:00 -0700

qt-x11-free (2:3.0.0.0-1) unstable; urgency=low

  * New upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 15 Oct 2001 11:54:00 -0700

qt-x11-free (2:3.0.0-0beta6-4) unstable; urgency=low

  * Don't compile in xinerama support...lets actually build on all archs

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 09 Oct 2001 16:00:00 -0700

qt-x11-free (2:3.0.0-0beta6-3) unstable; urgency=low

  * Properly include private include files
  * Provide links from /usr/bin/ qt bins to /usr/share/qt/bin

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 08 Oct 2001 16:00:00 -0700

qt-x11-free (2:3.0.0-0beta6-2) unstable; urgency=low

  * Properly include include files (Closes: #114357)
  * Pass variables onto designer (Closes: #114271)
  * Add new variable to qmake.sh (Closes: #113341)

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 03 Oct 2001 16:11:00 -0700

qt-x11-free (2:3.0.0-0beta6-1) unstable; urgency=low

  * New upstream beta

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 01 Oct 2001 11:04:00 -0700

qt-x11-free (2:3.0.0-0beta5-2) unstable; urgency=low

  * Fix shlibs (Closes: #113055)

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 23 Sep 2001 18:41:00 -0700

qt-x11-free (2:3.0.0-0beta5-1) unstable; urgency=low

  * New upstream beta

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 18 Sep 2001 09:56:00 -0700

qt-x11-free (2:3.0.0-0beta4-2) unstable; urgency=low

  * Provide threaded QT library
  * Cleanup deps
  * Set shlibs files
  * Remove -O2 from alpha build and add -mieee
  * don't use gcc3 for alpha build anymore

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 08 Sep 2001 09:57:00 -0700

qt-x11-free (2:3.0.0-0beta4-1) unstable; urgency=low

  * New upstream beta
  * Lintian error cleanup

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 29 Aug 2001 20:52:00 -0700

qt-x11-free (2:3.0.0-0beta3-2) unstable; urgency=low
 
  * Fix path issues for documentation (Closes: #109255)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Aug 2001 00:01:00 -0700

qt-x11-free (2:3.0.0-0beta3-1) unstable; urgency=low
 
  * new upstream beta
  * Include mkspecs bits for qmake
  * include qmake wrapper
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 27 Jul 2001 03:36:00 -0700

qt-x11-free (2:3.0.0-0beta2-3) unstable; urgency=low
 
  * drop Optimization down for other archs
  * *should* fix m68k build (Closes: #104043)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 17 Jul 2001 15:47:00 -0700

qt-x11-free (2:3.0.0-0beta2-2) unstable; urgency=low
 
  * actually include libqxt.so so people can build packages against it
  * Remove the suggests for anti-aliasing-howto from the plugin packages
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 08 Jul 2001 03:50:00 -0700

qt-x11-free (2:3.0.0-0beta2-1) unstable; urgency=low
 
  * New upstream beta
  * Ok, now we break out libqxt0
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 05 Jul 2001 12:46:00 -0700

qt-x11-free (3.0.0-0beta1-6) unstable; urgency=low
 
  * Add missing build-depend for flex (Closes: #102978, #102984)
  * Add conflict with libqxt0 (Closes: #102959)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 01 Jul 2001 08:32:00 -0700

qt-x11-free (3.0.0-0beta1-5) unstable; urgency=low
 
  * ok..I'll get this stuff worked out soon.  Fix gl build bits
    (Closes: #102849)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 30 Jun 2001 00:27:00 -0700

qt-x11-free (3.0.0-0beta1-4) unstable; urgency=low
 
  * Include qmake in libqt3-dev package


=== debian/control ===
Source: qt-copy
Build-Depends: debhelper (>> 3.0.0), xlibs-dev (>= 4.1.0-0), libjpeg62-dev | libjpeg-dev, zlib1g-dev | libz-dev, libmng-dev (>= 1.0.1-0), byacc, libpng-dev (>= 1.2.1-1), libfreetype6-dev, unixodbc-dev, libmysqlclient10-dev | libmysqlclient-dev, flex, xlibmesa-dev | libgl-dev
Section: libs
Priority: optional
Maintainer: Ivan E. Moore II <rkrusty@debian.org>
Standards-Version: 3.5.6

Package: libqt3
Architecture: any
Section: libs
Replaces: libqt3-gl, qt3-tools (<< 2:3.0.2-20020306-1)
Depends: ${shlibs:Depends}
Conflicts: libqt3-gl
Suggests: libqt3-psql, libqt3-mysql, libqt3-odbc, anti-aliasing-howto
Description: Qt GUI Library (runtime version).
 This package contains the files necessary for running applications that use
 Qt.

Package: libqt3-mt
Architecture: any
Section: libs
Replaces: qt3-tools (<< 2:3.0.2-20020306-1)
Depends: ${shlibs:Depends}
Suggests: libqt3-mt-psql, libqt3-mt-mysql, libqt3-mt-odbc
Description: Qt GUI Library (Threaded runtime version).
 This package contains the files necessary for running applications that use
 Qt.
 .
 This is the threaded version.

Package: libqxt0
Architecture: any
Section: libs
Replaces: libqt2 (<< 2:2.3.0-final-2), libqt3 (<< 2:3.0.0-0beta2-1), libqt-dev (<< 2:2.3.1-5)
Depends: ${shlibs:Depends}
Description: Qt Xt/Motif Support Extension
 This package contains libqxt.so which provides support for Xt/Motif.

Package: libqt3-mysql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Mysql database plugin for Qt3
 This package contains the mysql plugin for Qt3.

Package: libqt3-mt-mysql
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Mysql database plugin for Qt3 (Threaded)
 This package contains the mysql plugin for Qt3.
 .
 This is the threaded version.

Package: libqt3-odbc
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: ODBC plugin for Qt3
 This package contains the odbc plugin for Qt3.

Package: libqt3-mt-odbc
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: ODBC plugin for Qt3 (Threaded)
 This package contains the odbc plugin for Qt3.
 .
 This is the threaded version

Package: libqt3-mt-dev
Architecture: any
Section: devel
Replaces: libqt2-mt-dev
Depends: libqt3-dev (= ${Source-Version}), libqt3-mt (= ${Source-Version})
Conflicts: libqt2-mt-dev
Suggests: libqt3-mt-mysql, libqt3-mt-psql, libqt3-mt-odbc
Description: Qt Threaded development files
 Qt is a complete framework for development of GUI, based on a set of
 C++ classes.  This package contains the development files necessary for
 building threaded Qt applications.

Package: libqt3-dev
Architecture: any
Section: devel
Replaces: libqt2-dev, libqt-dev, qt3-doc (<< 2:3.0.2-20020306-1)
Depends: ${shlibs:Depends}, ${perl:Depends}, libqxt0 (= ${Source-Version}), qt3-tools (= ${Source-Version}), xlibs-dev, libmng-dev, libpng-dev (>= 1.2.1-1), libjpeg62-dev | libjpeg-dev, zlib1g-dev | libz-dev, libfreetype6-dev, libc6-dev
Suggests: libqt3-mysql, libqt3-psql, libqt3-odbc, qt3-doc, tmake
Conflicts: libqt2-dev, libqt-dev
Description: Qt GUI development files
 Qt is a complete framework for development of GUI, based on a set of
 C++ classes.  The header files, and *moc*, Qt's own Meta Object Compiler, 
 are included.

Package: qt3-tools
Architecture: any
Section: devel
Priority: extra
Replaces: kde-designer, qt-designer, uic, qt3-doc (<< 2:3.0.2-20020306-1)
Depends: ${shlibs:Depends}
Recommends: qt3-doc, libqt3-dev, libqt3-mt-dev
Conflicts: kde-designer, qt-designer, uic
Provides: uic, kde-designer, qt-designer
Suggests: libqt3-mysql, libqt3-psql, libqt3-odbc, libqt3-mt-mysql, libqt3-mt-psql, libqt3-mt-odbc
Description: Qt GUI Designer and other Qt3 based tools
 This package contains Qt Designer, Qt Linguist, and other tools out of
 the Qt3 toolset.  They are being provided in this package as to better 
 allow testing of this beta release of Qt3.  Once Qt3 is released this
 package will go away.

Package: qt3-doc
Architecture: all
Section: doc
Replaces: qt-doc
Suggests: libqt3-dev, www-browser, qt3-tools
Conflicts: qt-doc
Description: Tutorial and reference documentation and examples for Qt.
 This package contains examples, a tutorial, reference documentation and
 all of the man pages for Qt.
 .
 Qt is a complete framework for development of GUI, based on a set of
 C++ classes.  This package contains a rich set of examples as well as a
 complete tutorial and reference documentation for it.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3
export QTDIR=$(shell pwd)
export AR=ar cr
old_libpath := $(LD_LIBRARY_PATH)
export LD_LIBRARY_PATH = $(QTDIR)/lib:$(old_libpath)
YACC="byacc -d"
ARCH = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),i386-linux)
  XINERAMA=-xinerama
else
  XINERAMA=-no-xinerama
endif


package = qt-x11
p = $(shell pwd)/debian
p_libs = $(p)/libqt3
p_doc = $(p)/qt3-doc
p_dev = $(p)/libqt3-dev
p_tools = $(p)/qt3-tools
tmp_shared = $(shell pwd)/debian/build-shared
tmp_install = $(shell pwd)/debian/tmp-install
configopts = -prefix /usr -docdir /usr/share/doc/qt3-doc -headerdir /usr/include/qt -datadir /usr/share/qt -qt-gif -system-zlib -system-libpng -system-libjpeg -system-libmng -qt-imgfmt-jpeg -qt-imgfmt-png -qt-imgfmt-mng -plugin-sql-mysql -plugin-sql-odbc -plugin-style-windows -qt-style-motif -plugin-style-compact -plugin-style-platinum -plugin-style-sgi -plugin-style-cde -plugin-style-motifplus -stl $(XINERAMA) -enable-opengl -sm -no-g++-exceptions -platform linux-g++

build: thread-stamp build-stamp

thread-stamp:
	dh_testdir
ifeq ($(ARCH),alpha)
	cp debian/qmake-alpha.conf mkspecs/linux-g++/qmake.conf
endif
	make -f Makefile.cvs
	echo yes | ./configure $(configopts) -thread -plugindir /usr/lib/qt3/plugins-mt
	make symlinks src-qmake src-moc sub-src sub-tools sub-plugins
	make -C extensions/xt/src/
	make -C tools/designer/tools/createcw
	make INSTALL_ROOT=$(tmp_shared) install
	make -C extensions/xt/src/ INSTALL_ROOT=$(tmp_shared) install
	install -d $(tmp_shared)/usr/share/doc/
	cp bin/qtrename140 $(tmp_shared)/usr/bin/
	cp bin/qt20fix $(tmp_shared)/usr/bin/
	cp bin/findtr $(tmp_shared)/usr/bin/
	cp .qmake.cache $(tmp_shared)/usr/share/doc/qt3-doc/
	touch thread-stamp

build-stamp:
	dh_testdir
	-make clean
	-rm lib/*
	echo yes | ./configure $(configopts) -plugindir /usr/lib/qt3/plugins
	make symlinks src-qmake src-moc sub-src sub-plugins
	make -C plugins/src INSTALL_ROOT=$(tmp_shared) install
	find lib | cpio -pmdv $(tmp_shared)/usr
	touch build-stamp


build-clean:
	dh_testdir
	-make clean
	-make -C qmake/ distclean
	-make -C extensions/xt/src/ clean
	-make -C tools/designer/tools/createcw/ clean
	-chmod -R u+w *
	-find tools tutorial extensions -name Makefile | while read p; do \
		make -C `dirname $$p` clean; \
	done
	-find tools examples tutorial -type f -perm +100 \
		| xargs --no-run-if-empty rm -f
	-rm -f `find ./ -name "*.moc"`
	-rm -f lib/* plugins/designer/* plugins/sqldrivers/* \
		plugins/styles/*
	-rm -f examples/guithreads/main.o examples/semaphores/main.o
	find -name Makefile | while read p; do \
		[ -f $$p.in ] && rm -f $$p || true; \
	done


clean: build-clean
	dh_testdir
	-make -f debian/Makefile.cvs cvs-clean
	dh_clean

install-stamp:
	dh_testdir
	-rm -rf $(tmp_install)
	cd $(tmp_shared) && find  usr -path \*/CVS -prune -o -print \
		| cpio -pmd $(tmp_install)/

# Build architecture-independent files here.
binary-indep: build install-stamp
	dh_testdir
	dh_testroot
	dh_clean -i
	dh_installdirs -i
	dh_movefiles -pqt3-doc --sourcedir=debian/tmp-install
	find doc/man examples tutorial -path \*/CVS -prune -o -print \
		| cpio -pmd $(p_doc)/usr/share/doc/qt3-doc/
	-make -C $(p_doc)/usr/share/doc/qt3-doc/examples clean
	-make -C $(p_doc)/usr/share/doc/qt3-doc/tutorial clean
	(cd $(p_doc)/usr/share/doc/qt3-doc && tar -czvf examples.tgz examples)
	rm -rf $(p_doc)/usr/share/doc/qt3-doc/examples
	(cd $(p_doc)/usr/share/doc/qt3-doc && tar -czvf tutorial.tgz tutorial)
	rm -rf $(p_doc)/usr/share/doc/qt3-doc/tutorial
	-rm -f `find $(p_doc)/usr/share/doc/qt3-doc/ -name "*.o"`
	find $(p_doc) -type f -perm +0100 | xargs --no-run-if-empty rm -f
	cd $(p_doc)/usr/share/doc/libqt3 \
		&& ln -s ../qt3-doc/doc .
	dh_installdocs -i
	mv $(p_doc)/usr/share/doc/qt3-doc/doc/man/man3 $(p_doc)/usr/share/man/
	-rm -rf $(p_doc)/usr/share/doc/qt3-doc/doc/man
	dh_installchangelogs -i changes-3.0.3
	cp debian/README.Debian $(p_doc)/usr/share/doc/qt3-doc/
	dh_compress -i -X.html -X.gif -X.jpg -X.png
	dh_link -i
	dh_fixperms -i
	find $(p_doc)/usr/share/doc -type f | xargs chmod 644
	dh_installdeb -i
	dh_perl -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i


binary-arch: build install-stamp
	dh_testdir
	dh_testroot
	dh_clean -a
	dh_installdirs -a
	dh_movefiles -plibqxt0 --sourcedir=debian/tmp-install
	dh_movefiles -pqt3-tools --sourcedir=debian/tmp-install
	dh_movefiles -plibqt3-mysql --sourcedir=debian/tmp-install usr/lib/qt3/plugins/sqldrivers/libqsqlmysql.so
	dh_movefiles -plibqt3-odbc --sourcedir=debian/tmp-install usr/lib/qt3/plugins/sqldrivers/libqsqlodbc.so
	dh_movefiles -plibqt3-mt-mysql --sourcedir=debian/tmp-install usr/lib/qt3/plugins-mt/sqldrivers/libqsqlmysql.so
	dh_movefiles -plibqt3-mt-odbc --sourcedir=debian/tmp-install usr/lib/qt3/plugins-mt/sqldrivers/libqsqlodbc.so
	dh_movefiles -plibqt3 --sourcedir=debian/tmp-install
	dh_movefiles -plibqt3-mt --sourcedir=debian/tmp-install
	dh_movefiles -plibqt3-mt-dev --sourcedir=debian/tmp-install
	dh_movefiles -plibqt3-dev --sourcedir=debian/tmp-install
	cp tools/designer/interfaces/*.h $(p_tools)/usr/share/qt/tools/designer/interfaces/
	cp debian/designer.desktop $(p_tools)/usr/share/applnk/Development/
	cp debian/linguist.desktop $(p_tools)/usr/share/applnk/Development/
	mv $(p_tools)/usr/bin/designer $(p_tools)/usr/bin/qt-designer-real
	cp debian/designer.sh $(p_tools)/usr/bin/designer
	mv $(p_dev)/usr/bin/qmake $(p_dev)/usr/bin/qmake-real
	cp debian/qmake.sh $(p_dev)/usr/bin/qmake
	mv $(p_tools)/usr/bin/uic $(p_tools)/usr/bin/uic-real
	cp debian/uic.sh $(p_tools)/usr/bin/uic
	-cp doc/man/man1/*.1 $(p_tools)/usr/share/man/man1/
	-mv $(p_tools)/usr/share/man/man1/m*.1 $(p_dev)/usr/share/man/man1/
	-mv $(p_tools)/usr/share/man/man1/f*.1 $(p_dev)/usr/share/man/man1/
	-mv $(p_tools)/usr/share/man/man1/q*.1 $(p_dev)/usr/share/man/man1/
	dh_installdocs -a
	dh_installmenu -a
	dh_undocumented
	dh_installchangelogs -a changes-3.0.3
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	chmod 755 debian/qt3-tools/usr/bin/designer \
		debian/libqt3-dev/usr/bin/qmake \
		debian/qt3-tools/usr/bin/uic
	dh_makeshlibs -a -V
	dh_installdeb -a
	dh_perl -a
	dh_shlibdeps -a -l`pwd`/debian/libqt3/usr/lib:`pwd`/debian/libqxt0/usr/lib
	dh_gencontrol
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: clean binary-indep binary-arch binary
